"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-10.9-x86_64-cpython-312/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x10f676160>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x10f676200>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10f6762a0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10f676340>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x10f6763e0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x10f676480>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10f676520>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10f6765c0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10f676660>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10f676700>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x10f6767a0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x10f676840>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x10f6768e0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x10f676980>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x10f676a20>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x10f676ac0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x10f676b60>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x10f676c00>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x10f676ca0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x10f676d40>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x10f676de0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x10f676e80>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x10f676f20>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x10f676fc0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x10f677060>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x10f677100>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x10f6771a0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x10f677240>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x10f6772e0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x10f677380>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x10f677420>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x10f6774c0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x10f677560>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x10f677600>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x10f6776a0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x10f677740>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x10f6777e0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x10f677880>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10f677920>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10f6779c0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10f677a60>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x10f677b00>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x10f677ba0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x10f677c40>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x10f677ce0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x10f677d80>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x10f677e20>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10f677ec0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10f677f60>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x10f6bc040>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x10f6bc0e0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x10f6bc180>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x10f6bc220>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x10f6bc2c0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x10f6bc360>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x10f6bc400>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x10f6bc4a0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10f6bc540>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x10f6bc5e0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x10f6bc680>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x10f6bc720>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x10f6bc7c0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x10f6bc860>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x10f6bc900>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x10f6bc9a0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x10f6bca40>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x10f6bcae0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x10f6bcb80>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x10f6bcc20>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10f6bccc0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x10f6bcd60>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x10f6bce00>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10f6bcea0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x10f6bcf40>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x10f6bcfe0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x10f6bd080>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x10f6bd120>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x10f6bd1c0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x10f6bd260>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x10f6bd300>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x10f6bd440>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x10f6bd3a0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x10f6bd4e0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x10f6bd580>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x10f6bd620>)]
name: str = 'fr_HOCCN'
